# -*- encoding : utf-8 -*-

class Admin::ProductOrdersController < ApplicationController
	before_filter :auth_admin

	layout "admin"


	before_filter :find_product_orders





	def index 

	end


	def edit
		@product_order = ProductOrder.find(params[:id])
	end
  
	
	def show
		@product_order = ProductOrder.find(params[:id])
	end


	def create
		@product_order = ProductOrder.new(params.require(:product_order).permit!)


		if @product_order.save
      self.find_product_orders
			flash[:notice] = "La catégorie à été ajouté avec succès."
		

		else
			render :action => "new" 
		
		end
	
	end
	

	def update
		@product_order = ProductOrder.find(params[:id])


		
		
		respond_to do |format|
			if @product_order.update_attributes(params.require(:product_order).permit!)
				
				#ProductOrder.all.each do |mi|
				#	mi.set_permalink
				
				#end
			
				flash[:notice] = "Le menu à été modifié avec succès."
				format.html { redirect_to(admin_product_orders_path(:parent_id => @product_order.parent_id)) }
				if @reorder
					format.js { 
						
						render :action => "update" }
				else
					format.js { 
					   @product_order = ProductOrder.find(@product_order.id)
						render :action => "update_row" }
				end
			else
				
				
					format.html { render :action => "edit" }
					format.js { render :action => "edit" }
			
				
				
			end
		end
    
    
    
    

	end


	def destroy
		@product_order = ProductOrder.find(params[:id])

		@product_order.destroy
    
  
    flash[:notice] = "La commande à bien été supprimée."
	end
	
	
	protected
	
	def find_product_orders    
    @product_orders = ProductOrder.where(:completed_finish => true).order("created_at DESC")
		

	
  end
  
end
